[arch-commits] Commit in cfitsio/repos/testing-x86_64 (PKGBUILD PKGBUILD)

Antonio Rojas arojas at archlinux.org
Wed May 22 19:24:48 UTC 2019


    Date: Wednesday, May 22, 2019 @ 19:24:48
  Author: arojas
Revision: 353872

archrelease: copy trunk to testing-x86_64

Added:
  cfitsio/repos/testing-x86_64/PKGBUILD
    (from rev 353871, cfitsio/trunk/PKGBUILD)
Deleted:
  cfitsio/repos/testing-x86_64/PKGBUILD

----------+
 PKGBUILD |   91 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 46 insertions(+), 45 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-05-22 19:24:30 UTC (rev 353871)
+++ PKGBUILD	2019-05-22 19:24:48 UTC (rev 353872)
@@ -1,45 +0,0 @@
-# Maintainer:
-# Contributor: Andrea Scarpino <andrea at archlinux.org>
-# Contributor: Tobias Powalowski <tpowa at archlinux.org>
-
-pkgname=cfitsio
-pkgver=3.47
-pkgrel=1
-pkgdesc="A library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format"
-arch=(x86_64)
-url="https://heasarc.gsfc.nasa.gov/fitsio/"
-license=(custom)
-depends=(curl)
-source=("https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/$pkgname-$pkgver.tar.gz")
-sha256sums=('418516f10ee1e0f1b520926eeca6b77ce639bed88804c7c545e74f26b3edf4ef')
-
-prepare() {
-  cd $pkgname-$pkgver
-  sed -e 's|LDFLAGS=.*|LDFLAGS="$LDFLAGS"|g' -i configure.in # Fix LDFLAGS
-  autoreconf -vi
-}
-
-build() {
-  cd $pkgname-$pkgver
-  ./configure --prefix=/usr --enable-reentrant
-  make shared
-  make utils
-}
-
-check() {
-  cd $pkgname-$pkgver
-  LD_LIBRARY_PATH=. ./testprog > testprog.lis
-  [[ -z $(diff testprog.lis testprog.out) ]] || return 1
-  [[ -z $(cmp testprog.fit testprog.std) ]] || return 1
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="$pkgdir" install
-
-  install -D -m644 License.txt \
-    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-
-# Fix conflicts with ccfits and smem
-  rm "$pkgdir"/usr/bin/{cookbook,smem,testprog}
-}

Copied: cfitsio/repos/testing-x86_64/PKGBUILD (from rev 353871, cfitsio/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-05-22 19:24:48 UTC (rev 353872)
@@ -0,0 +1,46 @@
+# Maintainer:
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=cfitsio
+pkgver=3.47
+pkgrel=1
+epoch=1
+pkgdesc="A library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format"
+arch=(x86_64)
+url="https://heasarc.gsfc.nasa.gov/fitsio/"
+license=(custom)
+depends=(curl)
+source=("https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/$pkgname-$pkgver.tar.gz")
+sha256sums=('418516f10ee1e0f1b520926eeca6b77ce639bed88804c7c545e74f26b3edf4ef')
+
+prepare() {
+  cd $pkgname-$pkgver
+  sed -e 's|LDFLAGS=.*|LDFLAGS="$LDFLAGS"|g' -i configure.in # Fix LDFLAGS
+  autoreconf -vi
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr --enable-reentrant
+  make shared
+  make utils
+}
+
+check() {
+  cd $pkgname-$pkgver
+  LD_LIBRARY_PATH=. ./testprog > testprog.lis
+  [[ -z $(diff testprog.lis testprog.out) ]] || return 1
+  [[ -z $(cmp testprog.fit testprog.std) ]] || return 1
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+
+  install -D -m644 License.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+# Fix conflicts with ccfits and smem
+  rm "$pkgdir"/usr/bin/{cookbook,smem,testprog}
+}


More information about the arch-commits mailing list